import { ExpandRowService } from './expand-row.service';
import * as i0 from "@angular/core";
export declare class ExpandRowDirective<Data extends Record<string, any>> {
    private readonly expandCell;
    get isExpanded(): boolean;
    element: Data;
    constructor(expandCell: ExpandRowService<Data>);
    onClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExpandRowDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ExpandRowDirective<any>, "tr[rxapExpandRow]", never, { "element": { "alias": "element"; "required": true; }; }, {}, never, never, true, never>;
}
